petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatGetOwnershipIS

Get row and column ownership as index sets

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetOwnershipIS(Mat A,IS *rows,IS *cols)

Not Collective

### Input Arguments

A -matrix of type Elemental

### Output Arguments

| rows | - rows in which this process owns elements
| cols | - columns in which this process owns elements

### See Also

MatGetOwnershipRange(), MatGetOwnershipRangeColumn(), MatSetValues(), MATELEMENTAL, MatSetValues()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages